/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Tipoatuador;
import com.tabajara.base.tables.records.TipoatuadorRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TipoatuadorDao extends AbstractVertxDAO<TipoatuadorRecord, com.tabajara.base.tables.pojos.Tipoatuador, Integer, Future<List<com.tabajara.base.tables.pojos.Tipoatuador>>, Future<com.tabajara.base.tables.pojos.Tipoatuador>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<TipoatuadorRecord,com.tabajara.base.tables.pojos.Tipoatuador,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public TipoatuadorDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Tipoatuador.TIPOATUADOR, com.tabajara.base.tables.pojos.Tipoatuador.class, new JDBCClassicQueryExecutor<TipoatuadorRecord,com.tabajara.base.tables.pojos.Tipoatuador,Integer>(com.tabajara.base.tables.pojos.Tipoatuador.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Tipoatuador object) {
        return object.getTipatuid();
    }

    /**
     * Find records that have <code>tipatunome IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Tipoatuador>> findManyByTipatunome(List<String> values) {
        return findManyByCondition(Tipoatuador.TIPOATUADOR.TIPATUNOME.in(values));
    }

    /**
     * Find records that have <code>tipatudescricao IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Tipoatuador>> findManyByTipatudescricao(List<String> values) {
        return findManyByCondition(Tipoatuador.TIPOATUADOR.TIPATUDESCRICAO.in(values));
    }
}
